PETSc version 3.17.4
Fix/Edit manual page

# DMPlexCreateCoordinateSpace

Creates a finite element space for the coordinates

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateCoordinateSpace(DM dm, PetscInt degree, PetscPointFunc coordFunc)

Collective

### Input Parameters

| DM | - The DM
| degree | - The degree of the finite element or PETSC_DECIDE
| coordFunc | - An optional function to map new points from refinement to the surface

### See Also

PetscFECreateLagrange(), DMGetCoordinateDM()

### Level

advanced

### Location

src/dm/impls/plex/plexcreate.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages